#include <bits/stdc++.h>

using namespace std;
int niz[200020], l[100010], r[100010], pref[200020];

int main()
{
    int n;
    cin>>n;
    for(int i=1; i<=n; i++)cin>>niz[i];
    int q; cin>>q;
    for(int i=0; i<q; i++)cin>>l[i]>>r[i];
    for(int i=2; i<=n; i++)
    {
        pref[i]=pref[i-1];
        if(niz[i]<niz[i-1])pref[i]++;
    }
    for(int i=0; i<q; i++)
    {
        if(pref[r[i]]-pref[l[i]-1]<=1)cout<<"DA\n";
        else cout<<"NE\n";
    }
    return 0;
}